# DepUKFB Class Reference

`#include <depukfb.H>`

Inheritance diagram for DepUKFB:

List of all members.

## Public Member Functions

| DepUKFB (int sampleFreq, int fCnt=50)
void | init (int sampleFreq, int fCnt=50)
virtual | ~DepUKFB ()
int | filterCount (void)
| Returns the number of filters.
double * | operator[] (int i)
double | operator() (int i, int j, int binCount)

## Public Attributes

double * | cf
| The filter centre frequencies.
double * | ef
| The filter edge frequencies.

## Protected Member Functions

| DepUKFB ()
double | p_l (double fc)
double | p_u (double fc)

## Protected Attributes

int | fs
| The sample frequency.
double * | g
| g coeff.
double ** | w
| The filters.

## Detailed Description

Roex filters. This class defines power spectrum shapes for auditory filters based on : %[1] ``A Model for the Prediction of Thresholds, Loudness, and Partial % Loudness'' Moore B.C.J., Glasberg B.R. and Baer T., Journal of the % Audio Engineering Society, vol. 45, no. 4, April 1997, pp.224-40.

## Constructor & Destructor Documentation

DepUKFB::DepUKFB | ( |  | ) | `[inline, protected]`

< Constructor called by child classes.

DepUKFB::DepUKFB | ( | int | sampleFreq,
|  | int | fCnt = `50` |
| ) |  |  | `[inline]`

Roex filter shape constructor. @ sampleFreq The sample rate @ fCnt The number of filters

virtual DepUKFB::~DepUKFB | ( |  | ) | `[inline, virtual]`

< Destructor.

## Member Function Documentation

void DepUKFB::init | ( | int | sampleFreq,
|  | int | fCnt = `50` |
| ) |  |  | `[inline]`

Roex filter shape constructor - actual method. @ sampleFreq The sample rate @ fCnt The number of filters

double DepUKFB::operator() | ( | int | i,
|  | int | j,
|  | int | binCount |
| ) |  |  | `[inline]`

Operator returning the filter magnitude for one filter in a bank at a particular Fourier index. @ i the filter index @ j the frequency index @ binCount the number of Fourier bins

double* DepUKFB::operator[] | ( | int | i | ) | `[inline]`

Operator returning an array of filter values for one sub-band in the filter bank. @ i the index

double DepUKFB::p_l | ( | double | fc | ) | `[inline, protected]`

Lower side p evaluation. @ fc The central frequency of the filter

double DepUKFB::p_u | ( | double | fc | ) | `[inline, protected]`

Upper side p evaluation. @ fc The central frequency of the filter

The documentation for this class was generated from the following files:

- depukfb.H
- depukfb.cc

All Classes Files Functions Variables